xserver: Branch 'master'

Adam Jackson ajax at kemper.freedesktop.org
Wed Mar 21 13:45:41 UTC 2018


 .appveyor.yml                     |    3 +++
 .travis.yml                       |    3 +++
 test/scripts/build-travis-deps.sh |    6 ++++++
 test/scripts/xvfb-piglit.sh       |    6 +++---
 4 files changed, 15 insertions(+), 3 deletions(-)

New commits:
commit 8718d46157b9317554aba3e01b9919a1c0c28026
Author: Adam Jackson <ajax at redhat.com>
Date:   Wed Mar 14 16:43:09 2018 -0400

    ci: Ignore builds for branches aimed at other CI services
    
    Make appveyor ignore builds for /travis.*/ and vice versa. If you're
    only testing a Windows change, building for OSX and Linux too is a bit
    rude.
    
    Signed-off-by: Adam Jackson <ajax at redhat.com>

diff --git a/.appveyor.yml b/.appveyor.yml
index f4bd68b11..05bf6bf2d 100644
--- a/.appveyor.yml
+++ b/.appveyor.yml
@@ -1,3 +1,6 @@
+branches:
+  except:
+    - /travis.*/
 version: '{build}'
 skip_tags: true
 environment:
diff --git a/.travis.yml b/.travis.yml
index 86b61f01c..c7a3ea9d6 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,5 +1,8 @@
 language: c
 cache: ccache
+branches:
+    except:
+        - /appveyor.*/
 
 matrix:
   include:
diff --git a/test/scripts/build-travis-deps.sh b/test/scripts/build-travis-deps.sh
index 42837c2c8..79b086444 100755
--- a/test/scripts/build-travis-deps.sh
+++ b/test/scripts/build-travis-deps.sh
@@ -12,3 +12,9 @@ meson setup build/
 meson configure -Dprefix=$PREFIX build/
 ninja -C build/ install
 ninja -C build/ test
+
+status=$?
+
+cat build/meson-logs/testlog.txt
+
+exit $status
diff --git a/test/scripts/xvfb-piglit.sh b/test/scripts/xvfb-piglit.sh
index ae9f4662e..b18a39918 100755
--- a/test/scripts/xvfb-piglit.sh
+++ b/test/scripts/xvfb-piglit.sh
@@ -1,9 +1,9 @@
 #!/bin/sh
 
 # this times out on Travis, because the tests take too long.
-if test "x$TRAVIS_BUILD_DIR" != "x"; then
-    exit 77
-fi
+#if test "x$TRAVIS_BUILD_DIR" != "x"; then
+#    exit 77
+#fi
 
 export SERVER_COMMAND="$XSERVER_BUILDDIR/hw/vfb/Xvfb \
         -noreset \


More information about the xorg-commit mailing list